> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Primary Admin Tag

> Adds or removes the primary-admin tag on a client admin with activity logging in a serializable transaction.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/set-primary-admin-tag
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/set-primary-admin-tag:
    post:
      operationId: setPrimaryAdminTag
      summary: Set Primary Admin Tag
      description: >-
        Adds or removes the primary-admin tag on a client admin with activity
        logging in a serializable transaction.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetPrimaryAdminTagRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SetPrimaryAdminTagResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    SetPrimaryAdminTagRequest:
      type: object
      properties:
        roleInOrgID:
          type: string
          format: uuid
        isPrimary:
          type: boolean
      required:
        - roleInOrgID
        - isPrimary
    SetPrimaryAdminTagResponse:
      type: object
      properties:
        roleInOrgID:
          type: string
        isPrimaryAdmin:
          type: boolean
      required:
        - roleInOrgID
        - isPrimaryAdmin
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
